

proc TriggerMK2_DAQ-setup   {args}   {
#     required power up action
    foreach s {1 2 3 4} {
        set vl [read-vxi-register TriggerMK2.Sumbus$s.Enable]
        write-vxi-register TriggerMK2.Sumbus$s.Enable 1
        write-vxi-register TriggerMK2.Sumbus$s.Enable 0
        write-vxi-register TriggerMK2.Sumbus$s.Enable $vl
    }
    set vl [read-vxi-register TriggerMK2.LogicInput.Enable]
    write-vxi-register TriggerMK2.LogicInput.Enable 1
    write-vxi-register TriggerMK2.LogicInput.Enable 0
    write-vxi-register TriggerMK2.LogicInput.Enable $vl
}

proc TriggerMK2_DAQ-reset   {args}   {
#  flush FIFOs
   write-vxi-register TriggerMK2.FIFO.Reset 0
   write-vxi-register TriggerMK2.FIFO.Reset 1
   write-vxi-register TriggerMK2.FIFO.Reset 0
}

proc TriggerMK2_DAQ-halt   {args}   {
}


proc TriggerMK2_DAQ-go   {args}   {
#    reset board - also zeros event number
   write-vxi-register TriggerMK2.NotResetBoard 0
   write-vxi-register TriggerMK2.NotResetBoard 1
#  zero GIR event numbers
   write-vxi-register TriggerMK2.GIR.EvNum.Count 0
}
